Cancel Smart Invite
Read as MarkdownDescription #
Cancels a Smart Invite. The response includes an ICS attachment that must be sent to the recipients to remove the event from their calendars.
URL format #
{data_center_url}/v1/smart_invites
Example Request #
POST /v1/smart_invites HTTP/1.1
Host: {data_center_url}
Authorization: Bearer {API_KEY}
Content-Type: application/json; charset=utf-8
{
"method": "cancel",
"recipients": [
{ "email": "cronofy@example.com" },
{ "email": "cronofy@example.org" }
],
"smart_invite_id": "your-unique-id-for-invite"
}Example Response #
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"recipients": [
{
"email": "cronofy@example.com",
"status": "accepted"
},
{
"email": "cronofy@example.org",
"status": "pending"
}
],
"smart_invite_id": "your-unique-id-for-invite",
"callback_url": "https://example.com/cronofy/smart_invite/notifications",
"event": {
"summary": "Board meeting",
"description": "Discuss plans for the next quarter.",
"start": {
"time": "2026-10-25T09:30:00Z",
"tzid": "Europe/London"
},
"end": {
"time": "2026-10-25T10:00:00Z",
"tzid": "Europe/London"
},
"location": {
"description": "Board room"
}
},
"attachments": {
"icalendar": "BEGIN:VCALENDAR\nVERSION:2.0..."
}
}Single recipient Smart Invites #
To cancel a Smart Invite created with the superseded
single recipient
version, pass a single recipient in place of recipients. The response has a
single recipient in place of recipients.
{
"method": "cancel",
"recipient": {
"email": "cronofy@example.com"
},
"smart_invite_id": "your-unique-identifier-for-invite"
}Request parameters #
data_center_url Required
The URL for the data center you want to communicate with. Possible choices are:
api-au.cronofy.com- π¦πΊ Australiaapi-ca.cronofy.com- π¨π¦ Canadaapi-de.cronofy.com- π©πͺ Germanyapi-sg.cronofy.com- πΈπ¬ Singaporeapi-uk.cronofy.com- π¬π§ United Kingdomapi.cronofy.com- πΊπΈ United States
Find out more about Cronofy's data centers.
API_KEY Required #
The client_secret of the application that manages the Smart Invite event.
method Required #
Must be cancel to cancel the Smart Invite.
smart_invite_id Required #
The identifier for the Smart Invite within your application.
recipients.email Required #
The email addresses of the recipients you are going to send the cancelled Smart Invite to.
recipient.email Optional #
For single recipient Smart Invites, in place of recipients, the email address
you are going to send the cancelled Smart Invite to.
Response parameters #
recipients.email #
The email address of the recipient. Single recipient Smart Invites return a
recipient in place of recipients.
recipients.status #
The current status of the recipient. Can be one of:
pendinghave not received any response from the recipientacceptedthe recipient has accepted the invitationtentativethe recipient has tentatively accepted the invitationdeclinedthe recipient has declined the invitation
smart_invite_id #
The identifier for the event within your application.
callback_url #
The URL within your application that Cronofy will send notifications to about user interactions with the Smart Invite.
event #
The details of the event.
attachments #
Attachments to add to the multipart email being sent to the recipients.
attachments.icalendar #
The iCalendar representation of the event to be sent to the recipients.